Bug 773090 - Bundle deployment step details overflows vertically in browser
Bundle deployment step details overflows vertically in browser
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2012-01-10 17:05 EST by John Sanda
Modified: 2012-02-07 14:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of overflow (155.34 KB, image/png)
2012-01-10 17:06 EST, John Sanda
no flags Details

  None (edit)
Description John Sanda 2012-01-10 17:05:43 EST
Description of problem:
I have a bundle deployment with some failed steps. When I go to view the details of the deployment and click on the details for one of the failed steps, the pop up window overflows the browser vertically when the details field is filled in. This stretches the screen and you have to scroll way to find the bottom of the window in order to resize it. I observed this in Firefox 3.6.17.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Deploy a bundle such that the deployment fails.
2. Go to the deployments page for the bundle.
3. Click on the row of the deployment resource so that you see the deployment steps.
4. Open the details of a failed step, i.e., one that has the red status icon. If the details field is filled in, you should see the overflow.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2012-01-10 17:06:24 EST
Created attachment 551954 [details]
screen shot of overflow
Comment 2 John Mazzitelli 2012-01-11 16:57:02 EST
will use TextAreaItem instead of AutoFitTextAreaItem
Comment 3 John Mazzitelli 2012-01-11 17:06:59 EST
git commit to master: 3af9466
Comment 4 Mike Foley 2012-02-02 14:35:08 EST
Regression tested 
https://tcms.engineering.redhat.com/run/33098/
Comment 5 Mike Foley 2012-02-07 14:24:10 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.